/**
 * 拆分对话为: 一个prompt和一个completion
 * */
export function getPromptCompletion(dlgStr: string) {
  const idx = dlgStr.lastIndexOf('A:')
  const _prompt = dlgStr.substring(0, idx)
  const _completion = dlgStr.substring(idx)

  if (_prompt && _prompt != 'undefined') {
    // prompt换行符处理
    // url中的.replace(/\//gi, '\\/') 应该是不需要转义的
    const prompt = _prompt.replace(/^\n/, '').replace(/[\n ]{1,}$/gi, '').replace(/$/gi, '\n\n###\n\n').replace(/\//gi, "\\/")
    if (!prompt || prompt.length < 10) { console.log('77777777', prompt) }
    if (prompt && prompt != 'undefined') {
      // const prompt = _prompt.replace(/^\n/, '').replace(/$/gi, '\n\n###\n\n')
      // completion头尾处理
      const stChar = _completion.startsWith(' ') ? '' : ' '
      const endChar = _completion.endsWith('\n') ? '' : '\n'
      const completion = stChar + _completion.replace(/\//, '\/') + endChar
      return {
        prompt,
        completion
      }
    }
  }
  return {
    prompt: "",
    completion: ""
  }
}
