import { ChatCompletionParams } from "../schemas/chat-completion"
import { CompletionParams } from "../schemas/text-completion"
import { WisperTranscriptionParams, WisperTranslationParams } from "../schemas/wisper-transcription"

export const CONST_OPENAI_KEY = "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"
export const CONST_OPENAI_COM_KEY = "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"
// -----------extends davinci
// export const CONST_DEADULT_FINE_TUNNING = "davinci:ft-fe-test-2023-2023-02-13-12-43-54"
// -----------extends davinci:ft-fe-test-2023-2023-02-13-12-43-54
// export const CONST_DEADULT_FINE_TUNNING = "davinci:ft-fe-test-2023-2023-02-14-06-22-21"
// -----------extends text-davinci-003
// export const CONST_DEADULT_FINE_TUNNING = ""
// extends davinci:ft-fe-test-2023-2023-02-14-06-22-21
// export const CONST_DEADULT_FINE_TUNNING = "davinci:ft-fe-test-2023-2023-02-14-13-24-41"
// export const CONST_DEADULT_FINE_TUNNING = "davinci:ft-fe-test-2023-2023-02-14-18-10-38"
// extends davinci, with merge_msg_short.txt
//#region davinci不同训练次数的纵向对比
export const CONST_DAVINCI_FINE_TUNNING = "davinci:ft-fe-test-2023-2023-02-15-10-30-32"
export const CONST_DAVINCI_FINE_TUNNING_REPEAT2 = "davinci:ft-fe-test-2023-2023-02-15-13-48-49"
export const CONST_DAVINCI_FINE_TUNNING_REPEAT4 = "davinci:ft-fe-test-2023-2023-02-15-14-48-08"
//#endregion
export const CONST_ADA_FINE_TUNNING = ""
export const CONST_ADA_FINE_TUNNING_REPEAT2 = ""
export const CONST_ADA_FINE_TUNNING_REPEAT4 = ""
export const CONST_BABBAGE_FINE_TUNNING = ""
export const CONST_BABBAGE_FINE_TUNNING_REPEAT2 = ""
export const CONST_BABBAGE_FINE_TUNNING_REPEAT4 = ""
export const CONST_CURIE_FINE_TUNNING = "curie:ft-fe-test-2023-2023-02-16-16-18-51"
export const CONST_CURIE_FINE_TUNNING_REPEAT2 = "curie:ft-fe-test-2023-2023-02-16-09-28-17"
export const CONST_CURIE_FINE_TUNNING_REPEAT4 = "curie:ft-fe-test-2023-2023-02-16-12-11-32"
// 使用用户信息用于训练
export const CONST_DAVINCI_USERINFO_FINE_TUNNING = "davinci:ft-uptech-2023-02-17-07-14-45"
export const CONST_DAVINCI_USERINFO_FINE_TUNNING_RP2 = "davinci:ft-uptech-2023-02-17-06-43-42"

export const CONST_OPENAI_MAX_TOKEN = 100
// I am a junior student.I don't like mathmatics because of poor score and angry father.So i don't know what should i do.Canyou help me?
// Read my information and answer questions: I am Li Lei.I am 25 years old.I want to be an astronaut. Q:What job do i want to do? A:
export const CONST_COLPLETION_START = ' '
// export const CONST_COLPLETION_END = '\n###'
export const CONST_COLPLETION_END = '\n'
export const CONST_FINE_TUNNING_ENGINE = 'davinci'
export const CONST_GPT30_MODEL = 'text-davinci-003'
export const CONST_DEFAULT_COMPLETION_PARAM: CompletionParams = {
  best_of: 1,
  echo: false,
  frequency_penalty: 0,
  logprobs: 0,
  max_tokens: 100,
  model: "",
  presence_penalty: 0,
  prompt: "",
  stop: CONST_COLPLETION_END,
  // stream: true,
  temperature: 0,
  top_p: 1
}

export const CONST_GPT35_MODEL = 'gpt-3.5-turbo'
export const CONST_DEFAULT_CHATCOMPLETION_PARAM: ChatCompletionParams = {
  messages: [],
  // frequency_penalty: 0,
  // max_tokens: 100,
  model: CONST_GPT35_MODEL,
  // presence_penalty: 0,
  // stop: CONST_COLPLETION_END,
  // // stream: true,
  // temperature: 0,
  // top_p: 1
}

export const CONST_WISPER_V2T_MODEL = "whisper-1"
export const CONST_DEFAULT_WISPER_TRANSCRIBE: WisperTranscriptionParams = {
  file: null,
  model: CONST_WISPER_V2T_MODEL
}
export const CONST_DEFAULT_WISPER_TRANSLATE: WisperTranslationParams = {
  file: null,
  model: CONST_WISPER_V2T_MODEL
}
