import { xlsx2arr } from "../utils/compile/node_xlsx2jsonl";
import { ICommonResult } from "../utils/http";

const Router = require('koa-router'); // 引入koa-router

const userRouter = new Router()

let demoUserInfos: { userId: string, desc: string }[] | undefined

userRouter.get('/getRandomUserInfo/:tcUserId', async (ctx: {
  request: {
    params: {
      tcUserId: string
    }
  },
  body: ICommonResult<{
    userId: string,
    userDesc: string
  }>
}, next: Function) => {
  const { tcUserId } = ctx.request.params
  console.log('ddddddddddddd', tcUserId, !demoUserInfos)

  if (!demoUserInfos) {
    try {
      demoUserInfos = xlsx2arr()
    } catch (ex) {
      console.log('mmmmmmmmmm', ex)
    }
  }
  if (demoUserInfos && demoUserInfos.length > 0) {
    var userinfoItem: { userId: string, desc: string } | undefined
    for (let i = 0; i < demoUserInfos.length; i++) {
      if (demoUserInfos[i].userId === tcUserId) {
        userinfoItem = demoUserInfos[i]
        break
      }
    }
    console.log(tcUserId, !userinfoItem, tcUserId, ',,,,,,,,,,,,,,,', userinfoItem)
    if (!userinfoItem) {
      if (tcUserId && tcUserId === 'undefined') {
        ctx.body = {
          Result: 0,
          code: 500,
          Reason: "No pattern item in userId:" + tcUserId
        }
      }
      else {
        const rndIdx = Math.floor(Math.random() * demoUserInfos.length)
        const randomItem = demoUserInfos[rndIdx]

        ctx.body = {
          Result: 1,
          code: 200,
          data: {
            userId: randomItem.userId,
            userDesc: randomItem.desc
          }
        }
      }
    }
    else {
      ctx.body = {
        Result: 1,
        code: 200,
        data: {
          userId: userinfoItem.userId,
          userDesc: userinfoItem.desc
        }
      }
    }
  }
  else {
    ctx.body = {
      Result: 0,
      code: 500,
      Reason: "no datasets existed."
    }
  }
})
export default userRouter
