import { readFile, writeFile } from "fs";
import path from 'path'
const txtFileFulPath = path.resolve(__dirname, '../public/merge_msg_short.txt')
import { getPromptCompletion } from './util'
export function txt2jsonl() {
  readFile(txtFileFulPath, 'utf-8', (err, dataStr) => {
    if (err) {
      console.log('读取失败')
      return
    }
    else {
      const dlgs = dataStr.split(/[-]{16,}/)
      const jsonArr: { prompt: string, completion: string }[] = []
      let writeContent = ''
      dlgs.forEach(dlgStr => {
        const { prompt, completion }  = getPromptCompletion(dlgStr)
        console.log('qqqqqqqqqqqqqq prompt:', prompt)
        console.log('aaaaaaaaaaaaaa completion:', completion)
        if (prompt) {
          // let subMatches = dlg.match(/A:/)
          // if (subMatches && subMatches[subMatches.length - 1]) {
          //   const lastMatch = subMatches[subMatches.length - 1]
          // }


          jsonArr.push({
            prompt,
            completion
          })

          writeContent += JSON.stringify({
            prompt,
            completion
          }) + '\n'
        }
      })

      console.log('wwwwwwwwwwwwwwwwwww', writeContent)

      const jsonlFileFulPath = txtFileFulPath.replace('.txt', '.jsonl')
      writeFile(jsonlFileFulPath, writeContent, (err) => {
        if (err) {
          console.log(jsonlFileFulPath + '写入失败')
        }
        else {
          console.log(jsonlFileFulPath + '写入成功')
        }
      })
      // console.log('wwwwwwwwwwwwww', JSON.stringify(jsonArr))
    }
  })
}
